Bug 679223 - installer overwrites all new device passphrases with first-specified/global passphrase
installer overwrites all new device passphrases with first-specified/global p...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
Depends On:
Blocks: F15Beta/F15BetaBlocker 679224
  Show dependency treegraph
Reported: 2011-02-21 18:02 EST by David Lehman
Modified: 2011-03-16 00:06 EDT (History)
5 users (show)

See Also:
Fixed In Version: anaconda-15.22-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 679166
: 679224 (view as bug list)
Last Closed: 2011-03-16 00:06:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lehman 2011-02-21 18:02:07 EST
+++ This bug was initially created as a clone of Bug #679166 +++

Description of problem:
Documentation for kickstart configuration for partitions says there is a --passphrase parameter to specify each partition's passphrase.
However after installation all partitions are mounted with the same passphrase as if it was a global default

Version-Release number of selected component (if applicable):
pykickstart 1.77-2
anaconda 13.22-1

How reproducible:


Steps to Reproduce:
1. Create a kickstart configuration file with a set of partitions where at least two are encrypted and define a different passphrase
2. make an unattended installation with said kickstart

Actual results:
At boot, there is a password prompt for mounting a partition. If entered correctly, all partitions are mounted and boot process continiues.

Expected results:
It should be needed to enter all passphrases in order to continue.

Additional info:

--- Additional comment from tsukebumi@gmail.com on 2011-02-21 14:26:18 EST ---

Created attachment 479981 [details]
example kickstart file

--- Additional comment from clumens@redhat.com on 2011-02-21 16:46:59 EST ---

*** Bug 679165 has been marked as a duplicate of this bug. ***

--- Additional comment from dlehman@redhat.com on 2011-02-21 17:50:31 EST ---

Created attachment 480014 [details]
f14 updates to not overwrite passphrases with first/global passphrase

Place the attached updates.img file in os/images/ in your install directory to get it picked up and used automatically. We don't do official fixes for the installer for Fedora 14 after the initial release, but this updates image should fix the problem you have seen.

Let me know if this doesn't solve your problem.
Comment 1 David Lehman 2011-02-21 18:07:12 EST
If a user creates multiple encrypted devices in kickstart, the first passphrase we find becomes the default/global passphrase in case any other encrypted devices have no passphrase specified. We are erroneously overwriting all devices' passphrases with the global/default when we should only be apply the default to those devices for which no passphrase has been set.

Similarly, if multiple encrypted devices are created in the GUI and a global passphrase is established by the user after having specified passphrases for some newly encrypted devices we should only use the global passphrase for that and subsequent devices instead of overwriting the passphrases already established for previously-created devices.
Comment 2 David Lehman 2011-02-22 22:03:31 EST
Fixed on master branch (commit e1956392c441a), just awaiting approval to push to f15-branch.
Comment 3 David Lehman 2011-03-09 14:07:40 EST
Fixed for Fedora 15 in anaconda-15.22-1.
Comment 4 Fedora Update System 2011-03-09 16:54:59 EST
anaconda-15.22-1.fc15 has been submitted as an update for Fedora 15.
Comment 5 James Laska 2011-03-11 14:40:32 EST
Discussed at 2011-03-11 blocker review meeting.  This issue is fixed and available for testing in anaconda-15.22-1.  The issue has been accepted as a beta blocker.
Comment 6 Fedora Update System 2011-03-16 00:05:39 EDT
anaconda-15.22-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.